HPE SimpliVity

simplivity version within the same federation

 
SOLVED
Go to solution
jlangmead
Regular Advisor

simplivity version within the same federation

Hi
Is it supported to join a new simplivity cluster running 4.0.1u1 (consisting of 2 nodes) into a federation that is running an existing cluster running simplivity version 4.0.1. The vcenter plugin is version 4.0.1.444

Thanks
12 REPLIES 12
Rajini_Saini
HPE Pro

Re: simplivity version within the same federation

Hi @jlangmead,

Thank you for choosing HPE.

Yes, we can deploy a new cluster with 4.0.1 U1, if the existing environment is 4.0.1.

Please refer 'Mixed Software Versions in a Federation' Page26 - https://support.hpe.com/hpesc/public/docDisplay?docId=a00095520en_us

regards,
Rajini Saini


I work for HPE

Accept or Kudo

jlangmead
Regular Advisor

Re: simplivity version within the same federation

Thanks - that's great.

I'm interested to understand how the mixed environments work with the vCenter plug-in and arbiter versions. Does the mixed support also include the new cluster 4.0.1u1 cluster using the 4.0.1 arbiter and 4.0.1 vCenter plugin versions

kylerj
HPE Pro

Re: simplivity version within the same federation

Both the 4.0.1 plugin and arbiter should work fine with the 4.0.1u1 cluster as much has not changed behind the scenes specific to the database and arbiter logic between these 2 versions.

 

I work for HPE

Accept or Kudo

jlangmead
Regular Advisor

Re: simplivity version within the same federation

Thanks - I have one further related question.

I see that 4.10 now supports the arbiter running on Windows 2019 - is it supported to redeploy the arbiter using version 4.10 so it can be hosted on a Windows 2019 platform without needing to upgrade all our clusters to 4.10 also? 

We don't want or need to upgrade the Simplivity clusters to 4.10 but need to decommission our Windows 2016 servers and replace these with Windows 2019 platforms as part of our refresh program.

so, what I'm asking is can a Simplivity 4.10 arbiter be used with 4.0 simplivity clusters?

thanks

Rajini_Saini
HPE Pro
Solution

Re: simplivity version within the same federation

Hi @jlangmead ,

Thank you for choosing HPE.

4.0.1U1 arbiter supports - Windows Server 2016, 2012 R2, 2008 R2, Windows 10
4.1.0 arbiter supports - Windows Server 2019, 2016, 2012 R2, 2008 R2, Windows 10

The arbiter can be installed one per federation or one per cluster.

If you are planning to have a single arbiter for a federation [with 4.0.1U1&4.1.0] then you must have an arbiter on 2016 or below supported OS.
If you planning to have an arbiter on a cluster level, then the 4.0.1U1 cluster can have an arbiter running in 2016 and for a 4.1.0 cluster you can install an arbiter on the 2019 machine.

For more details please refer below links: Page16
https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&docId=a00106795en_us
https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&docId=a00099030en_us

regards,
Rajini Saini


I work for HPE

Accept or Kudo

jlangmead
Regular Advisor

Re: simplivity version within the same federation

Many thanks - understood

steez
Frequent Advisor

Re: simplivity version within the same federation

Hello, I have a similar issue.

However we have 2 sites, each has 1 cluster, linked via vCenter linked mode.

ESXi 6.7, vCenter 6.7, Omnistack 4.0.1 on all hosts.

We want to upgrade Omnistack to the newest 4.1.0U1, vSphere to version 7.

I have a question - can I update only one site, wait a while and the update the another? This is due one site is an active production site, and the other is used solely as a Simplivity backup repository for DR. We would like to start with the DR site first, wait a while to see that no errors come up and then continue with the production site.

If possible, would the upgrade look something like this -

  1. Upgrade Arbiters on both sites, upgrade vCenter plugin on both vCenters
  2. Update server firmware + Omnistack software on DR site
  3. Update vCenter to 7.0 on DR site
  4. Update Simplivity ESXi to 7.0

This way we would have a mixed deployment, however we would really preffer to evaluate the upgrade at first. The question is - will the federation work as intended in scope of reporting to Infosight, doing remote backups correctly and so on.

kylerj
HPE Pro

Re: simplivity version within the same federation

Hi @steez 

Yes, this is possible and supported as per page 26 of our interoperability guide:

https://support.hpe.com/hpesc/public/docDisplay?docId=a00095520en_us

I work for HPE

Accept or Kudo

steez
Frequent Advisor

Re: simplivity version within the same federation

Hello @kylerj , thank you very much for such swift reply.

I have seen that document, just wanted to confirm with others and to see if i'm not missing something. thanks.